﻿using System;
using System.Threading.Tasks;
using Discord.WebSocket;

namespace DeukBot4.MessageHandlers
{
    public static class MainHandler
    {
        public static async Task HandleMessage(SocketMessage message)
        {
            if (message.Author.Id == Program.Client.CurrentUser.Id)
            {
                return;
            }
            try
            {
#pragma warning disable 4014
                CommandHandler.CommandHandler.HandleMessage(message);
                HandlePrivateMessage(message);
#pragma warning restore 4014
            }
            catch (Exception e)
            {
                await Logger.LogError(e.ToString());
            }
        }

        private static async Task HandlePrivateMessage(SocketMessage message)
        {
            if (message.Channel is ISocketPrivateChannel)
            {
                await Logger.Log(($"Private Message: {message.Author.Username}- {message.Content}"));
            }
        }
    }
}