﻿using System;
using System.Linq;

namespace DeukBot4.Utilities
{
    public static class TimespanParser
    {
        public static TimeSpan? Parse(string s)
        {
            var timeIndicator = s.Last();
            var numberStr     = s.Remove(s.Length - 1, 1);
            if (!int.TryParse(numberStr, out var number))
            {
                return null;
            }

            switch (timeIndicator)
            {
                case 's':
                    return TimeSpan.FromSeconds(number);
                    break;
                case 'm':
                    return TimeSpan.FromMinutes(number);
                    break;
                case 'h':
                    return TimeSpan.FromHours(number);
                    break;
                case 'd':
                    return TimeSpan.FromDays(number);
                    break;
                default:
                    return null;
            }

        }
    }
}